Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-12-2018 03:57:10

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Problème avec rechargement dans synaptic [résolu]

Bonjour à tout le monde,
Quand je lance le rechargement dans synaptic j'ai un message d'erreur :

The repository 'http://ppa.launchpad.net/gezakovacs/ppa/ubuntu disco Release' does not have a Release file.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.The repository 'http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu disco Release' does not have a Release file.


Trop fort pour un QI de surimi...

Dernière modification par statis (24-12-2018 00:17:41)


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#2 23-12-2018 07:20:43

Herve33
Membre
Lieu : Mérignac 33
Distrib. : Debian 10
(G)UI : Xfce
Inscription : 21-09-2016

Re : Problème avec rechargement dans synaptic [résolu]

Bonjour,
tu as mis un ppa Ubuntu dans ta Debian ? Alors peut-être normal non ?scratchhead.gif

Acer Aspire 5733 - Debian 10 Xfce

Hors ligne

#3 23-12-2018 08:49:47

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Bonjour,
Pour compléter le message de Herve33, Debian a prévu une sécurité sur les dépôts que tu utilises. Ceux-ci doivent avoir une clé pour être utilisés.
Tu peux lire le man de apt-secure pour en savoir plus : https://manpages.debian.org/stretch/apt … .8.en.html

Je te conseille de lire aussi : https://wiki.debian.org/fr/DontBreakDebian
Ce sont des conseils à suivre pour ne pas casser sa Debian stable.

Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#4 23-12-2018 14:10:28

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

Merci Herve33 et Chalu.

Le ppa ubuntu doit être unetbootin qui donc n'aurait pas été complètement enlevé avec RM...
Je suis ennuyé de vous solliciter car si je comprends bien il faut avoir un bon niveau pour utiliser Debian, prendre connaissance de toutes les docs, les comprendre etc...
Je n'arriverais pas à tout assimiler pour ne pas faire de mon Debian un FrankenDebian et avec ma mauvaise expérience je dirais que tout Linux est un FrankenDebian pour moi...
Et je ne peux éviter d'entrer dans la zone interdite car par exemple un soft comme Simplify3D (150 euros la licence) n'est pas supporté sur une autre version Linux que Ubuntu dixit leur support...
D'ailleurs il se peut que cela soit ce dernier qui soit la cause de ce fil, je n'ai pas les moyens de savoir...
Il en est de même avec le matériel que j'ai qui demande des paquets non-free donc du FrankenPaquet...
Là le QI de surimi est désemparé, mes neurones font des noeuds sans savoir comment "être Debian"...
La seule solution que je vois est de refaire une installation de Debian sans FrankenPaquet mais comment "pister" ceux qui sont sur ma machine maintenant et les identifier ?
Ensuite comment avoir un argument "de taille" pour me faire rembourser la licence Simplify3D puisqu'elle est un problème sur Debian ?
Mille pardons de vous entraîner dans mes galères...

J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#5 23-12-2018 14:36:08

Herve33
Membre
Lieu : Mérignac 33
Distrib. : Debian 10
(G)UI : Xfce
Inscription : 21-09-2016

Re : Problème avec rechargement dans synaptic [résolu]

statis a écrit :

..... exemple un soft comme Simplify3D (150 euros la licence) n'est pas supporté sur une autre version Linux que Ubuntu dixit leur support...



Bonjour,
non regarde, il va aussi sur debian:
https://www.simplify3d.com/software/tec … fications/
Tu peux aussi regarder des softs similaires:
https://alternativeto.net/software/simp … form=linux
Si tu as un doute en installant quelque chose, le mieux c'est de demander, si on peut, on te répondra.
@+


Acer Aspire 5733 - Debian 10 Xfce

Hors ligne

#6 23-12-2018 14:38:02

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : Problème avec rechargement dans synaptic [résolu]

statis a écrit :

The repository 'http://ppa.launchpad.net/gezakovacs/ppa/ubuntu disco Release' does not have a Release file.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.The repository 'http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu disco Release' does not have a Release file.


Trop fort pour un QI de surimi...


C'est toi qui les a ajouté, c'est la même chose pour les enlever ? C'est trivial t'en fais pas. Les vraies erreurs c'est plutôt le risque de conflit si t'installes plein de truc au pif.

Ce qui fait debian stable et sûr, c'est le fait que tout le monde va chercher ses paquets chez debian. Commence à installer tout et n'importe quoi sans faire attention, et ça devient windows bis très vite : plantages, trucs incompréhensibles et irréparables, etc.

Dernière modification par otyugh (23-12-2018 14:40:18)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#7 23-12-2018 15:41:18

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

merci otyugh,

T'inquiète pas j'ai vu l'ambiance du forum, le trivial avec humour ne me dérange pas wink

J'ai compris quand "on est Debian" on reste fidèle à Debian wink

Mais pour moi ce n'est pas si simple...
Il y a des trucs que je ne trouve pas dans synpatic et franchement je crois que je n'y comprendrais jamais rien.
J'ai un FrankenDebian, il fonctionne très bien jusqu'à je sais pas quand, c'est comme la vie on naît pour mourir...

J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#8 23-12-2018 16:15:02

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Si tu as suivi le wiki Debian.xyz que tu avais donné en lien ce n’est pas la copie du fichier unetbootin.bin qui t’aura ajouter ce ppa.
Par contre l’installation d’autres paquets en manuel c’est fort possible.
Pour confirmer le conseil d’Herve33 je peux témoigner que lorsque je suis passée de Windows à Debian, il a fallu changer les habitudes. Ajouter contrib et non-free aux dépôts officiels pour avoir des firmwares par exemples ne présente pas de risque mais pas contre ajouter un dépôt Ubuntu si ... j’avais besoin d’un logiciel libre lyx qui à l'époque n’etait pas dans Whezzy avec la bonne version, j’ai posé ma question et un geek ou barbu comme on dit smile m’a guidé pour l’installer sans tout casser.

Pour revenir à ton problème de sources, donne nous le retour de

cat /etc/apt/sources.list


et de

ls /etc/apt/sources.list.d



Ne te décourage pas, il faut être patient au début et régler les problèmes l’un après l’autre smile


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#9 23-12-2018 16:30:14

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

Merci chalu,

A priori si j'ai bien cherché le truc qui coince est bien du a la mauvaise install de Unetbootin
Le "E: The repository 'http://ppa.launchpad.net/gezakovacs/ppa/ubuntu disco Release' does not have a Release file." en recherche mongoogle me rapporte à ce soft "Franken" :
https://launchpad.net/~gezakovacs/+archive/ubuntu/ppa

Retour demandé :

statis:~$ cat /etc/apt/sources.list


#

# deb cdrom:[Official Debian GNU/Linux Live 9.6.0 mate 2018-11-10T11:50]/ stretch main

# deb cdrom:[Official Debian GNU/Linux Live 9.6.0 mate 2018-11-10T11:50]/ stretch main

deb [url]http://security.debian.org/debian-security[/url] stretch/updates main
deb-src [url]http://security.debian.org/debian-security[/url] stretch/updates main

# stretch-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb [url]http://deb.debian.org/debian/[/url] stretch-updates main
# deb-src [url]http://deb.debian.org/debian/[/url] stretch-updates main
statis:~$



et :

statis:~$ ls /etc/apt/sources.list.d


base.list                         nilarimogard-ubuntu-webupd8-disco.list
base.list.save                    nilarimogard-ubuntu-webupd8-disco.list.save
gezakovacs-ubuntu-ppa-disco.list
statis:~$



Je vois qu'il y a un autre truc relatif à WebUpd8 https://launchpad.net/~nilarimogard/+ar … tu/webupd8
Et là je n'arrive plus à me souvenir comment ce truc est arrivé sur mon joli Debian...
Mongoogle n'est pas d'une grande aide pour m'aiguiller là-dessus...

Merci pour le réconfort smile

Dernière modification par statis (23-12-2018 16:39:56)


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#10 23-12-2018 16:50:46

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Ok on va commencer par remettre un bon sources.list. Tu donneras le retour de chaque commande pour qu’on puisse suivre l’evolution.
On passe dans un terminal en session root (ça se reconnaît au # en début de ligne alors que $ c’est l’utilisateur normal)

sudo -i


Ensuite tu copies la commande qui suit et tu colles dans ce terminal session root (avec menu Éditer>coller) et tu valides

cat > /etc/apt/sources.list <<EOF
# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
EOF


Ensuite toujours dans la session root du terminal, on se place dans le dossier qui contient les sources externes à supprimer

cd /etc/apt/sources.list.d


puis on supprime les dépôts Ubuntu et le base.list qui vient de l’installation avec le live

rm base.list nilarimogard-ubuntu-webupd8-disco.list base.list.save nilarimogard-ubuntu-webupd8-disco.list.save gezakovacs-ubuntu-ppa-disco.list



On sort de la session root

exit


Tu devrais voir $ en début de ligne au lieu du #
On met à jour les dépôts et le système

sudo apt update && sudo apt upgrade


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#11 23-12-2018 17:01:22

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

Merci chalu,

statis:~$ sudo -i
[sudo] Mot de passe de debian64 : 
root@statis:~#



Cool de comprendre le # vs le $

La commande suivant bloque :

root@statis:~# cat > /etc/apt/sources.list


Le curseur devient un carré clignotant...


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#12 23-12-2018 17:05:37

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Tu dois sélectionner mon texte à la souris de << jusqu’au dernier EOF puis Ctrl C pour le copier
Ensuite dans le terminal les touches raccourcis sont Ctrl Shift(majuscules) V ou bien menu Éditer/coller
Et tu appuies ensuite sur Entrée

Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#13 23-12-2018 17:12:05

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

j'avais aussi essayé..

copie de :

cat > /etc/apt/sources.list <<EOF
> # Debian Stretch, dépôt principal + paquets non libres
> deb http://deb.debian.org/debian/ stretch main contrib non-free
> # Debian Stretch, mises à jour de sécurité + paquets non libres
> deb http://security.debian.org/ stretch/updates main contrib non-free
> # Debian Stretch, mises à jour "volatiles" + paquets non libres
> deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
> EOF



collage via le menu éditer dans le terminal et "entrée" :

root@statis:~# cat > /etc/apt/sources.list <<EOF
> # Debian Stretch, dépôt principal + paquets non libres
> deb http://deb.debian.org/debian/ stretch main contrib non-free
> # Debian Stretch, mises à jour de sécurité + paquets non libres
> deb http://security.debian.org/ stretch/updates main contrib non-free
> # Debian Stretch, mises à jour "volatiles" + paquets non libres
> deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
> EOF
>



Après le > à la fin, rien ne se passe.


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#14 23-12-2018 17:19:15

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Ok c’est normal, on va vérifier que c’est bien passé
Tu fais

cat /etc/apt/sources.list


après l’appui sur la touche entrée tu dois avoir le retour


# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
 


C’est bon ?


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#15 23-12-2018 17:32:55

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

J'ai du fermer le terminal pour reprendre la main...

root@statis:~# cat /etc/apt/sources.list
root@statis:~#

???

J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#16 23-12-2018 17:38:27

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Ah oui ça n’a pas marché. Tu dois faire un copier coller de l’ensemble de la commande en une seule fois et tu appuies sur la touche Entrée

Édit : je dois y aller, si tu as besoin d’autres prendront la suite. Bon courage smile

Dernière modification par chalu (23-12-2018 17:58:45)


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#17 23-12-2018 17:58:49

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

si j'ai bien compris le but est de compléter le fichier /etc/apt/sources.list qui est vide
pour qu'il contienne :

# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free



Je peux peut-être faire avec

sudo pluma /etc/apt/sources.list

?
Comme j'ai fait pour activer l'auto-login (sur un autre fichier ).


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#18 23-12-2018 20:11:16

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Oui tu peux si tu veux mais c’est gksudo normalement pour lancer une application graphique comme pluma sauf que je ne sais pas si tu l’as installé.
Tu peux utiliser nano sinon en ligne de commande

sudo nano /etc/apt/sources.list


Tu fais un copier coller de :


# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free


Pour enregistrer : Ctrl + O et tu dis oui à la question en bas de terminal qui te demande si tu veux écrire sur le fichier sources.list
Pour quitter Ctrl+X
Ensuite tu vérifies avec

cat /etc/apt/sources.list


qui doit donc te retourner les lignes ci-dessus.


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#19 23-12-2018 23:32:18

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

Merci chalu,

J'ai utilisé

gksudo pluma /etc/apt/sources.list



Statis:~$

cat /etc/apt/sources.list



# Debian Stretch, dépôt principal + paquets non libres
[code]bloc à supprimer si la commande n’affiche rien[/code]
deb [url]http://deb.debian.org/debian/[/url] stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb [url]http://security.debian.org/[/url] stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb [url]http://deb.debian.org/debian/[/url] stretch-updates main contrib non-free
statis:~$


confirme bien que le fichier s'est bien mis à jour

Je continue tes commandes :

statis:~$ sudo -i
[sudo] Mot de passe de statis : 


root@statis:~#

cd /etc/apt/sources.list.d



root@statis:/etc/apt/sources.list.d# rm base.list nilarimogard-ubuntu-webupd8-disco.list base.list.save nilarimogard-ubuntu-webupd8-disco.list.save gezakovacs-ubuntu-ppa-disco.list


root@statis:/etc/apt/sources.list.d# exit
déconnexion
statis:~$



statis:~$ sudo apt update && sudo apt upgrade



Atteint:1 [url]http://security.debian.org[/url] stretch/updates InRelease
Ign:2 [url]http://deb.debian.org/debian[/url] stretch InRelease          
Atteint:3 [url]http://deb.debian.org/debian[/url] stretch-updates InRelease
Atteint:4 [url]http://deb.debian.org/debian[/url] stretch Release
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
8 packages can be upgraded. Run 'apt list --upgradable' to see them.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  gnome-mahjongg gnome-mime-data libart-2.0-2 libbonobo2-0 libbonobo2-common
  libbonoboui2-0 libbonoboui2-common libgnome-2-0 libgnome2-common
  libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0 libgnomeui-common
  libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra libidl-2-0 libmodplug1
  liborbit-2-0 liborbit2 libphysfs1 libsdl2-2.0-0 libsdl2-image-2.0-0
  libsdl2-mixer-2.0-0 libsdl2-ttf-2.0-0 python-gconf python-gnome2
  python-pyorbit
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants seront mis à jour :
  amd64-microcode firmware-amd-graphics firmware-linux-nonfree
  firmware-misc-nonfree ghostscript intel-microcode libgs9 libgs9-common
8 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 12,7 Mo dans les archives.
Après cette opération, 101 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 [url]http://security.debian.org[/url] stretch/updates/main amd64 ghostscript amd64 9.26~dfsg-0+deb9u2 [98,7 kB]
Réception de:2 [url]http://deb.debian.org/debian[/url] stretch/non-free amd64 firmware-amd-graphics all 20161130-4 [1 566 kB]
Réception de:3 [url]http://security.debian.org[/url] stretch/updates/main amd64 libgs9 amd64 9.26~dfsg-0+deb9u2 [2 211 kB]
Réception de:4 [url]http://security.debian.org[/url] stretch/updates/main amd64 libgs9-common all 9.26~dfsg-0+deb9u2 [5 142 kB]
Réception de:5 [url]http://deb.debian.org/debian[/url] stretch/non-free amd64 firmware-linux-nonfree all 20161130-4 [14,1 kB]
Réception de:6 [url]http://deb.debian.org/debian[/url] stretch/non-free amd64 firmware-misc-nonfree all 20161130-4 [2 320 kB]
Réception de:7 [url]http://deb.debian.org/debian[/url] stretch/non-free amd64 amd64-microcode amd64 3.20160316.3 [31,1 kB]
Réception de:8 [url]http://deb.debian.org/debian[/url] stretch/non-free amd64 intel-microcode amd64 3.20180807a.1~deb9u1 [1 295 kB]
12,7 Mo réceptionnés en 15s (828 ko/s)                                        
(Lecture de la base de données... 252061 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../0-firmware-amd-graphics_20161130-4_all.deb ...
Dépaquetage de firmware-amd-graphics (20161130-4) sur (20161130-4~deb8u1) ...
Préparation du dépaquetage de .../1-firmware-linux-nonfree_20161130-4_all.deb ...
Dépaquetage de firmware-linux-nonfree (20161130-4) sur (20161130-4~deb8u1) ...
Préparation du dépaquetage de .../2-firmware-misc-nonfree_20161130-4_all.deb ...
Dépaquetage de firmware-misc-nonfree (20161130-4) sur (20161130-4~deb8u1) ...
Préparation du dépaquetage de .../3-ghostscript_9.26~dfsg-0+deb9u2_amd64.deb ...
Dépaquetage de ghostscript (9.26~dfsg-0+deb9u2) sur (9.26~dfsg-0+deb9u1) ...
Préparation du dépaquetage de .../4-libgs9_9.26~dfsg-0+deb9u2_amd64.deb ...
Dépaquetage de libgs9:amd64 (9.26~dfsg-0+deb9u2) sur (9.26~dfsg-0+deb9u1) ...
Préparation du dépaquetage de .../5-libgs9-common_9.26~dfsg-0+deb9u2_all.deb ...
Dépaquetage de libgs9-common (9.26~dfsg-0+deb9u2) sur (9.26~dfsg-0+deb9u1) ...
Préparation du dépaquetage de .../6-amd64-microcode_3.20160316.3_amd64.deb ...
Dépaquetage de amd64-microcode (3.20160316.3) sur (2.20160316.1~deb8u1) ...
Préparation du dépaquetage de .../7-intel-microcode_3.20180807a.1~deb9u1_amd64.deb ...
Dépaquetage de intel-microcode (3.20180807a.1~deb9u1) sur (3.20180807a.1~deb8u1) ...
Paramétrage de libgs9-common (9.26~dfsg-0+deb9u2) ...
Paramétrage de intel-microcode (3.20180807a.1~deb9u1) ...
update-initramfs: deferring update (trigger activated)
intel-microcode: microcode will be updated at next boot
Paramétrage de firmware-amd-graphics (20161130-4) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u3) ...
Paramétrage de firmware-misc-nonfree (20161130-4) ...
update-initramfs: deferring update (trigger activated)
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Paramétrage de firmware-linux-nonfree (20161130-4) ...
Paramétrage de libgs9:amd64 (9.26~dfsg-0+deb9u2) ...
Paramétrage de amd64-microcode (3.20160316.3) ...
Installation de la nouvelle version du fichier de configuration /etc/default/amd64-microcode ...
update-initramfs: deferring update (trigger activated)
amd64-microcode: microcode will be updated at next boot
Paramétrage de ghostscript (9.26~dfsg-0+deb9u2) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.9.0-8-amd64
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u3) ...
statis:~$
 


Et comme j'ai vu un

sudo apt autoremove

et que je connais cette commande, je la lance

statis:~$ sudo apt autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  gnome-mahjongg gnome-mime-data libart-2.0-2 libbonobo2-0 libbonobo2-common
  libbonoboui2-0 libbonoboui2-common libgnome-2-0 libgnome2-common
  libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0 libgnomeui-common
  libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra libidl-2-0 libmodplug1
  liborbit-2-0 liborbit2 libphysfs1 libsdl2-2.0-0 libsdl2-image-2.0-0
  libsdl2-mixer-2.0-0 libsdl2-ttf-2.0-0 python-gconf python-gnome2
  python-pyorbit
0 mis à jour, 0 nouvellement installés, 28 à enlever et 0 non mis à jour.
Après cette opération, 41,5 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 252059 fichiers et répertoires déjà installés.)
Suppression de gnome-mahjongg (1:3.22.0-1) ...
Suppression de libgnomevfs2-extra:amd64 (1:2.24.4-6.1+b2) ...
Suppression de python-gnome2 (2.28.1+dfsg-1.2) ...
Suppression de libgnomeui-0:amd64 (2.24.5-3.1) ...
Suppression de libbonoboui2-0:amd64 (2.24.5-4) ...
Suppression de libgnomecanvas2-0:amd64 (2.30.3-3) ...
Suppression de libart-2.0-2:amd64 (2.3.21-2) ...
Suppression de libgnome-2-0:amd64 (2.32.1-5+b1) ...
Suppression de libbonobo2-0:amd64 (2.32.1-3+b1) ...
Suppression de libbonobo2-common (2.32.1-3) ...
Suppression de libbonoboui2-common (2.24.5-4) ...
Suppression de libgnome2-common (2.32.1-5) ...
Suppression de libgnomecanvas2-common (2.30.3-3) ...
Suppression de libgnomeui-common (2.24.5-3.1) ...
Suppression de python-pyorbit (2.24.0-7.2) ...
Suppression de liborbit2:amd64 (1:2.14.19-2+b1) ...
Suppression de libidl-2-0:amd64 (0.8.14-4) ...
Suppression de libsdl2-mixer-2.0-0:amd64 (2.0.1+dfsg1-1) ...
Suppression de libmodplug1:amd64 (1:0.8.8.5-3) ...
Suppression de liborbit-2-0:amd64 (1:2.14.19-2+b1) ...
Suppression de libphysfs1:amd64 (2.0.3-5) ...
Suppression de libsdl2-ttf-2.0-0:amd64 (2.0.14+dfsg1-1) ...
Suppression de libsdl2-image-2.0-0:amd64 (2.0.1+dfsg-2+deb9u1) ...
Suppression de libsdl2-2.0-0:amd64 (2.0.5+dfsg1-2) ...
Suppression de python-gconf (2.28.1+dfsg-1.2) ...
Suppression de libgnomevfs2-0:amd64 (1:2.24.4-6.1+b2) ...
Suppression de libgnomevfs2-common (1:2.24.4-6.1) ...
Suppression de gnome-mime-data (2.18.0-1) ...
Traitement des actions différées (« triggers ») pour gconf2 (3.2.6-4+b1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1) ...
Traitement des actions différées (« triggers ») pour libglib2.0-0:amd64 (2.50.3-2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u3) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-9) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-1) ...
statis:~$



je redémarre le PC puisqu’un reboot est conseillé dans le résultat de al commande.


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#20 23-12-2018 23:38:59

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

ok ça a l'air bon
tu as pas mal de paquets supprimés avec l'autoremove mais je pense que tu as installé puis supprimé des paquets via synaptic au début de tes tests ?

Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#21 23-12-2018 23:51:14

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

merci chalu,

J'adore Debian9

systemd-analyze


Startup finished in 3.677s (kernel) + 18.497s (userspace) = 22.174s


Et dire que certains achètent des SSD pour démarrer plus vite wink

Oui j'ai cafouillé quand je cherchais un mahjong, un tetris et un freecell...
Je pense avoir viré le mauvais car mahjongg_3.14.1-1_all.deb installé avec gdebi a dégagé
Je peux m'en passer car mon Debian a maintenant le minimum pour l'impression 3D.
Mais j'ai quand même une question à poser car pour ce fameux mahjong je l'ai récupéré sur la page :
https://pkgs.org/download/mahjongg
C'est du Debian8, faut-il faire attention et ne prendre que les .deb certifiés Debian9 ?

Dernière modification par statis (31-12-2018 11:43:18)


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#22 24-12-2018 00:18:58

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

c'est sur ça que l'on voulait attirer ton attention, il faut perdre l'habitude d'installer sur ton système des paquets trouvés à droite et à gauche wink
Utiliser les logiciels dans les dépôts et si tu as besoin d'autres choses, prendre conseil pour ne pas casser le système.
Par exemple installé gnome-mahjong qui est dans les dépôts est préférable à l'installation d'un paquet trouvé sur le net

Il faudra voir pour nettoyer ton système des paquets installés depuis le net afin qu'ils ne provoquent pas de problèmes et voir les équivalents possibles dans les dépôts. Si tu te souviens de ceux que tu as installés comme ça, il faudrait les lister.
Edit : pour lister ces paquets, tu peux utiliser synaptic en cliquant sur Etat puis la ligne Installés locaux ou obsolètes
tu auras les paquets installés qui ne viennent pas des dépôts officiels debian. donne la liste sans les supprimer car certains peuvent être important pour le système.

Bon je déconnecte pour ce soir. Bonne nuit.

Dernière modification par chalu (24-12-2018 00:30:32)


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#23 24-12-2018 01:00:33

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

encore merci chalu wink

Tous mes softs principaux ne se trouvent pas sur Synaptic...
Flashprint de Flashforge, le seul soft valable pour mon imprimante 3D Dreamer
IdeaMaker, le seul soft valable pour mon imprimante 3D k8200UM
Simplify3D dont l'éditeur ne veux pas me rembourser l'exorbitante licence sous prétexte qu'il est compatible avec mes deux imprimantes...
Cura 3.6, encore un soft d'impression 3D que je dois tester, la version dans Synaptic est désolé pour le terme "moisie".
Freecad dernière version, celle dans Synaptic n'intègre pas certaines fonctions

Il y a aussi balena-etcher-electron-1.4.8 un .deb dont il n'est pas précisé si c'est bon pour un Debian 9, un type de soft dont j'ai besoin à la place de multisystem que j'avais sur mon Ubuntu.

Les mahjongs que l'on trouve sur synaptic sont nuls...
Mais comme dit plus haut, ce n'est pas grave, quoique dommage de ne pas pouvoir installer la version qui tournait sur D8.

J'ai oublié woeusb_3.2.10-1~webupd8~cosmic0_amd64.deb
Le truc d'une des deux erreurs ayant démarré le fil ...
Je n'ai pas procédé à la désinstallation...

Les "paquets non-free" viennent aussi du net et je ne les avais pas trouvé dans synaptic.
Sans eux pas de Flashprint, pas de contrôle de température de mes 4 coeurs (ma carte-mère a un défaut le ventilateur du proc peut se détacher et je dois contrôler aussi souvent que possible), etc.
Puisque ce n'est pas du synaptic, pas la peine d'ouvrir un fil pour mon problème d'authentification wifi rencontré que sur D9...

Et sans compter un petit soft graphique (je dois retrouver son nom) bien plus simple que Gimp dont  je doute fort qu'il soit dans synaptic...
Ainsi que slic3r, encore un soft d'impression 3D dont la dernière version n'est pas non plus dans synaptic...

De synaptic j'ai récupéré :
Gparted, bien
Inkscape, je ne sais pas si cette version est bonne pour ce que j'ai à faire, il faut que je teste.
Freecell, le même que celui que j'avais sur Ubuntu.
C'est une goutte d'eau pure dans l'océan FrankenDebian qu'est mon PC

Si je comprends bien je pars très mal et je vais avoir des problèmes avec mon joli Debian 9...
Je vais me coucher et faire des insomnies...

Petit rajout pendant l'insomnie j'ai aussi pronterface mais lui a été installé à partir de synaptic puisque je ne l'ai pas dans mes archives de chargement.
Ouf, s'il fallait le virer alors que c'est le seul qui arrive à piloter ma K8200UM en USB, j'étais très mal...
D'où l'importance du message suivant...

Dernière modification par statis (24-12-2018 02:11:23)


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#24 24-12-2018 01:49:03

statis
Membre
Distrib. : Debian-9 64 bits stretch
Noyau : Linux deb64 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1
(G)UI : Mate 1.16.2
Inscription : 19-12-2018

Re : Problème avec rechargement dans synaptic [résolu]

comme prévu, l’insomnie est là...

J'ai une question, si par exemple Freecad avant dernière version est présente dans synaptic, quelle sont les conditions pour que la nouvelle le soit ?

Il y a bien quelqu'un qui décide que tel ou tel soft a sa place dans synaptic, quel est le process pour déclencher le truc ?
Je suppose que le décideur n'a pas le temps de tout tester mais du moment que c'est du Debian, pourquoi ne pas faire appel aux utilisateurs ?
Dans le domaine de l'impression 3D la partie soft est un gros problème, il y a des bugs constants et des nouvelles versions se succèdent vite.
Pourquoi les magiciens de Debian9 ne font pas un soft de report que les utilisateurs lanceraient pour vérifier que tel ou tel truc n'a pas la Franken attitude pour ensuite valider une nouvelle version ?

Dernière modification par statis (24-12-2018 01:51:42)


J'ai un QI de surimi et je peux faire de grosses bêtises...

Peux-tu combattre ta propre nature ? Si oui, cela fait partie de ta nature… Mépriser ceux qui n’ont pas ta chance, Est une grave insulte à la providence…
Julius Korlang

Hors ligne

#25 24-12-2018 11:08:38

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Problème avec rechargement dans synaptic [résolu]

Oh la la je vois que tu as bien cogité smile
Pour reprendre dans l'ordre wink et en espérant que tu n'as pas modifié le sources.list propre d'hier soir en essayant d'installer des logiciels ?

1) synaptic listera tous les fichier .deb que tu as installé. Tu ouvres Synaptic, tu cliques sur le bouton Etat puis sur la ligne Installés (locaux ou obsolètes)
Dans la partie centrale tu auras alors la liste de ces paquets comme dans l'exemple ci-dessous :
1545640802-synaptic.png
On peut voir 4 paquets .deb étrangers aux dépôts officiels Debian du sources.list

2) les logiciels d'impression 3D

Flashprint de Flashforge, le seul soft valable pour mon imprimante 3D Dreamer
IdeaMaker, le seul soft valable pour mon imprimante 3D k8200UM
Simplify3D dont l'éditeur ne veux pas me rembourser l'exorbitante licence sous prétexte qu'il est compatible avec mes deux imprimantes...
Cura 3.6, encore un soft d'impression 3D que je dois tester, la version dans Synaptic est désolé pour le terme "moisie".
Freecad dernière version, celle dans Synaptic n'intègre pas certaines fonctions


Tu as la possibilité d'utiliser des Appimages pour certains d'entre-eux ce qui est l'équivalent des logiciels portables.
Cura n'existe pas dans Stretch. Tu peux télécharger et utiliser l'appimage de la version 3.6 64bits. Il est possible d'ajouter une entrée dans le menu des applications si jamais le logiciel n'apparait pas.
Freecad est aussi disponible en appimage
Flashprint, Ideamaker Simplfy3D sont si je comprends bien des logiciels payants obtenus avec tes imprimantes ? Il faudrait déjà voir ce que donne Cura et Freecad en appimage. Pour voir ça, tu dois créer un fil dans le forum matériel puisque avoir un logiciel 3D fonctionnel est necessaire pour ton imprimante 3D

balena etcher je ne sais pas à quoi ça sert mais ça semble exister aussi en appimage

les mahjongs que l'on trouve sur synaptic sont nuls...
Mais comme dit plus haut, ce n'est pas grave, quoique dommage de ne pas pouvoir installer la version qui tournait sur D8.


On a bien sur Debian9 les jeux mahjong de debian8, quel est celui que tu voulais de debian8 ?

J'ai oublié woeusb_3.2.10-1~webupd8~cosmic0_amd64.deb
Le truc d'une des deux erreurs ayant démarré le fil ...
Je n'ai pas procédé à la désinstallation...


Là c'est vraiment une habitude à perdre de télécharger à droite et à gauche des fichiers .deb et de les installer, ça risque de casser le système à plus ou moins long terme. Pourquoi voulais-tu ce logiciel ? L'idée c'est d'utiliser un équivalent sur Debian 9 lorsque c'est possible.

Les "paquets non-free" viennent aussi du net et je ne les avais pas trouvé dans synaptic.
[...]
Puisque ce n'est pas du synaptic, pas la peine d'ouvrir un fil pour mon problème d'authentification wifi rencontré que sur D9...


Les paquets non-free sont souvent necessaires pour faire fonctionner une carte wifi ou une carte graphique. Tu as les dépôts non-free officiels de Debian9 dans ton sources.list pour faire ça. Tu crées un fil dans le forum réseau pour expliquer ton problème de wifi et recevoir de l'aide wink

Et sans compter un petit soft graphique (je dois retrouver son nom) bien plus simple que Gimp dont  je doute fort qu'il soit dans synaptic...


oui ce serait bien de retrouver le nom smile Tu as krita et d'autres logiciels pour le dessin dans les dépôts.


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

Pied de page des forums